
        function calculateAge(event) {
            event.preventDefault(); // Prevent form submission

            const birthDate = new Date(document.getElementById("birthdate").value);
            const currentDate = new Date(document.getElementById("currentdate").value);

            const ageInMillis = currentDate - birthDate;
            const ageInSeconds = ageInMillis / 1000;
            const ageInMinutes = ageInSeconds / 60;
            const ageInHours = ageInMinutes / 60;
            const ageInDays = ageInHours / 24;
            const ageInWeeks = ageInDays / 7;
            const ageInMonths = ageInDays / 30.436875; // Average month length
            const ageInYears = ageInDays / 365.25; // Average year length

            const remainingMonths = Math.floor((ageInMonths - Math.floor(ageInYears) * 12) % 12);
            const remainingDays = Math.floor(ageInDays % 30.436875);

            const resultContainer = document.getElementById("result-container");
            resultContainer.style.display = "block";

            resultContainer.innerHTML = `<h2>Your Age is:</h2>
            <p><strong>${Math.floor(ageInYears)} years</strong> ${remainingMonths} months ${remainingDays} days</p>
            <p>or <strong>${Math.floor(ageInMonths)} months</strong></p>
            <p>or <strong>${Math.floor(ageInWeeks)} weeks</strong></p>
            <p>or <strong>${Math.floor(ageInDays)} days</strong></p>
            <p>or <strong>${Math.floor(ageInHours)} hours</strong></p>
            <p>or <strong>${Math.floor(ageInMinutes)} minutes</strong></p>
            <p>or <strong>${Math.floor(ageInSeconds)} seconds</strong></p>`;
        }
    