
<?php include"header.php"?>
<?php include"nav.php"?>
 <style>
       
      .pattern-controls {
      margin-bottom: 1rem;
    }
    #pattern-box {
      width: 100%;
      height: 300px;
      background: white;
      margin-bottom: 10px;
    }
    #css-code {
      font-family: monospace;
      background: #f5f5f5;
      padding: 10px;
      margin-bottom: 10px;
    }
    .color-control {
      display: flex;
      align-items: center;
    }
    .color-control label {
      margin-right: 10px;
    }
    </style>
<div class="container" style="background: rgb(255 255 255 / 90%);padding: 18px;">
  <div class="row">
    <div class="col-md-6 mx-auto">
      <h2>CSS Pattern Generator</h2>
      <div class="pattern-controls">
        <div class="row">
          <div class="col-md-3">
            <label for="pattern-type" class="form-label">Pattern Type:</label>
          </div>
          <div class="col-md-9">
            <select id="pattern-type" class="form-select" onchange="handlePatternTypeChange()">
              <option value="circles" selected>Circles</option>
              <option value="dots">Dots</option>
              <option value="grid">Grid</option>
              <option value="bars">Bars</option>
              <option value="isometric">Isometric</option>
              <option value="wavy">Wavy</option>
              <option value="zigzag3d">Zigzag 3D</option>
              <option value="triangle">Triangle</option>
              <option value="rectangle">Rectangle</option>
            </select>
          </div>
        </div>
        <div class="row">
          <div class="col-md-3">
            <label for="opacity" class="form-label">Opacity:</label>
          </div>
          <div class="col-md-3">
            <input type="range" id="opacity" class="form-range" min="0" max="1" step="0.1" value="1" onchange="generatePattern()">
          </div>
          <div class="col-md-3">
            <label for="spacing" class="form-label">Spacing:</label>
          </div>
          <div class="col-md-3">
            <input type="range" id="spacing" class="form-range" min="5" max="100" step="5" value="20" onchange="generatePattern()">
          </div>
        </div>
        <div class="row">
          <div class="col-md-6">
            <div class="color-control">
              <label for="pattern-color" class="form-label">Pattern Color:</label>
              <input type="color" id="pattern-color" class="form-control" value="#FF0000" onchange="generatePattern()">
            </div>
          </div>
          <div class="col-md-6">
            <div class="color-control">
              <label for="background-color" class="form-label">Background Color:</label>
              <input type="color" id="background-color" class="form-control" value="#FFFFFF" onchange="generatePattern()">
            </div>
          </div>
        </div>
        <div class="row">
          <div class="col-md-6">
            <div id="rotation-control" class="form-group">
              <label for="rotate" class="form-label">Rotate:</label>
              <input type="range" id="rotate" class="form-range" min="0" max="360" step="10" value="0" onchange="generatePattern()">
            </div>
          </div>
        </div>
        <div class="row">
          <div class="col-md-6">
            <button class="btn btn-primary" onclick="shuffleColors()">Shuffle Colors</button>
          </div>
        </div>
      </div>

      <div class="pattern-box" id="pattern-box"></div>
      <pre class="css-code" id="css-code"></pre>
      <button class="btn btn-primary copy-button" onclick="copyCSSCode()">Copy CSS</button>
    </div>
  </div>
</div>


 <?php include"more_tools.php"?>
  
</div>
</div>

 </div>
    </div>
  </div>

    </div>
 

  <div class="container" id="faq">
  <?php include"mostafa-content.php"?>
</div>
<?php include"footer.php"?>


    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
  
<script src="css-pattern-generator.js"></script>

</body>
</html>
