<?php
$folderPath = 'output';

// Get the current timestamp
$currentTimestamp = time();

// Get the timestamp of one hour ago
$oneHourAgo = strtotime('-1 hour');

// Get all the files in the folder
$files = scandir($folderPath);

// Iterate through each file
foreach ($files as $file) {
    if ($file !== '.' && $file !== '..') {
        $filePath = $folderPath . '/' . $file;

        // Check if the file is older than one hour
        $fileTimestamp = filemtime($filePath);
        if ($fileTimestamp < $oneHourAgo) {
            // Delete the file
            unlink($filePath);
        }
    }
}

$domain = $_SERVER['SERVER_NAME'];
$domain_cut_before_z = strstr($domain, '.', true);

?>


<!DOCTYPE html>
<html lang="en">

<head>
    <script async src="https://pagead2.googlesyndication.com/pagead/js/adsbygoogle.js?client=ca-pub-8620646274249827"
     crossorigin="anonymous"></script>
     <meta name="google-adsense-account" content="ca-pub-8620646274249827">
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title><?php echo $domain_cut_before_z; ?> Tools</title>
<!--link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css"-->
 <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/5.3.0/css/bootstrap.min.css">
<script src="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/5.3.0/js/bootstrap.min.js"></script>
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.3/css/all.min.css" integrity="sha512-********************" crossorigin="anonymous" />

  <link rel="stylesheet" href="contents/css/style.css" type="text/css" />
  <style>
  @keyframes borderAnimation {
    0% {
      border-color: #fd7e14;
    }
    50% {
      border-color: #aaa;
    }
    100% {
      border-color: #ccc;
    }
  }

  #dropzone {
    border: 2px dashed #ccc;
    border-radius: 5px;
    padding: 20px;
    text-align: center;
    margin-bottom: 20px;
    animation: borderAnimation 2s infinite;
  }

  #process-list {
    margin-bottom: 20px;
  }

  .conv-img-title {
    font-size: 11px;
    padding: 5px;
  }
  .submit_button {
      width:100%;
      margin-top:10px;
  }
</style>


</div>
</head>


<body>
  <header>