
<?php include"header.php"?>
<?php include"nav.php"?>
 
<style>
    /* Custom CSS */
    .container {
      margin-top: 30px;
    }

    .form-group {
      margin-bottom: 15px;
    }

    #result {
      margin-top: 20px;
      font-size: 18px;
    }

    button {
      margin-top: 15px;
    }
  </style>
<div class="container" style="background: rgb(255 255 255 / 90%);padding: 18px;">
    <div class="col-md-6 mx-auto">
           <h2 style="text-align: center;">Loan EMI Calculator</h2>
        <!-- <p style="text-align: center;">The Loan EMI Calculator helps you estimate your Equated Monthly Installment (EMI) for a loan based on the loan amount, interest rate, and loan term.</p> -->
    <div class="row">
          <form id="loanForm">
      <div class="form-group">
        <label for="loanAmount">Loan Amount:</label>
        <input type="number" class="form-control" id="loanAmount" placeholder="for eg. 5500" required>
      </div>

      <div class="form-group">
        <label for="interestRate">Interest Rate (%):</label>
        <input type="range" class="form-control-range" id="interestRate" min="0" max="20" value="5">
        <span id="interestRateDisplay">5</span>%
      </div>

      <div class="form-group">
        <label for="loanTerm">Loan Term (months):</label>
        <input type="range" class="form-control-range" id="loanTerm" min="1" max="60" value="12">
        <span id="loanTermDisplay">12</span> months
      </div>

      <div class="form-group">
        <label for="currency">Currency:</label>
        <select class="form-control" id="currency">
             <?php
// Read the JSON file
$jsonData = file_get_contents('https://openexchangerates.org/api/currencies.json');

// Check if reading the file was successful
if ($jsonData === false) {
    echo "Error: Unable to read JSON file.";
    exit;
}

// Decode the JSON data
$currencies = json_decode($jsonData, true);

// Check if the JSON was successfully decoded
if (!$currencies) {
    echo "Error: Unable to decode JSON data.";
    exit;
}

// Print the currency list
echo "";
foreach ($currencies as $code => $name) {
    echo "<option value='$code'>".$code . " - " . $name . "</option>";
}
?>
        </select>
      </div>

      <button type="button" class="btn btn-success submit_button" onclick="calculateLoan()">Calculate</button>
    </form>

    <div id="result"></div>
                    </div> </div>
</div></div>


    </div>
 <?php include"more_tools.php"?>
  
</div>
</div>

 </div>
    </div>
  </div>

    </div>
 

  <div class="container" id="faq">
  <?php include"mostafa-content.php"?>
</div>
<?php include"footer.php"?>


    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <script>
    function calculateLoan() {
      // Get input values
      const loanAmount = parseFloat(document.getElementById("loanAmount").value);
      const interestRate = parseFloat(document.getElementById("interestRate").value);
      const loanTerm = parseFloat(document.getElementById("loanTerm").value);
      const currency = document.getElementById("currency").value;

      // Validate input
      if (isNaN(loanAmount) || isNaN(interestRate) || isNaN(loanTerm)) {
        document.getElementById("result").innerHTML = "Please enter valid numbers.";
        return;
      }

      // Calculate monthly interest rate and number of payments
      const monthlyInterestRate = interestRate / 100 / 12;
      const numberOfPayments = loanTerm;

      // Calculate monthly payment
      const monthlyPayment =
        loanAmount *
        (monthlyInterestRate * Math.pow(1 + monthlyInterestRate, numberOfPayments)) /
        (Math.pow(1 + monthlyInterestRate, numberOfPayments) - 1);

      // Calculate total payable amount
      const totalPayable = monthlyPayment * numberOfPayments;
      const totalInterest = totalPayable - loanAmount;

      // Display result
      document.getElementById("result").innerHTML = `Monthly Payment: ${currency} ${monthlyPayment.toFixed(2)}<br>
                                                      Total Payable: ${currency} ${totalPayable.toFixed(2)}<br>
                                                      Total Interest Paid: ${currency} ${totalInterest.toFixed(2)}`;
    }

    // Update displayed interest rate and loan term values
    document.getElementById("interestRate").addEventListener("input", function () {
      document.getElementById("interestRateDisplay").textContent = this.value;
    });

    document.getElementById("loanTerm").addEventListener("input", function () {
      document.getElementById("loanTermDisplay").textContent = this.value;
    });
  </script>
</body>
</html>
